package com.steering.ydm.bc.TmsLoad;

/**
 * 数据库表TMS_WAYBILL_C所对应的实体类（生成工具：代码生成器2.4）
 * @author DESKTOP-SA5N7PS   date 2020-04-28
 */
public class TmsWaybillCEntity {


    public String getDemandOrgCode() {
        return demandOrgCode;
    }

    public void setDemandOrgCode(String demandOrgCode) {
        this.demandOrgCode = demandOrgCode;
    }

    public String demandOrgCode;

    public String getDemandOrgDesc() {
        return demandOrgDesc;
    }

    public void setDemandOrgDesc(String demandOrgDesc) {
        this.demandOrgDesc = demandOrgDesc;
    }

    public String demandOrgDesc;
    public String getProduccode() {
        return produccode;
    }

    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    private String produccode;

    public String getProducname() {
        return producname;
    }

    public void setProducname(String producname) {
        this.producname = producname;
    }

    private String producname;

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    private  String productCode;

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    private String productName;

    public String getQcmStaus() {
        return qcmStaus;
    }

    public void setQcmStaus(String qcmStaus) {
        this.qcmStaus = qcmStaus;
    }

    private String qcmStaus;

    public String getPlineCode() {
        return plineCode;
    }

    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    private  String plineCode;

    public String getPlineName() {
        return plineName;
    }

    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    private  String plineName;

    public String getProcessCdoe() {
        return processCdoe;
    }

    public void setProcessCdoe(String processCdoe) {
        this.processCdoe = processCdoe;
    }

    private  String processCdoe;

    public String getProcessDesc() {
        return processDesc;
    }

    public void setProcessDesc(String processDesc) {
        this.processDesc = processDesc;
    }

    private  String processDesc;

    public String getEndNodeCode() {
        return endNodeCode;
    }

    public void setEndNodeCode(String endNodeCode) {
        this.endNodeCode = endNodeCode;
    }

    private  String endNodeCode;

    public String getEndNodeDesc() {
        return endNodeDesc;
    }

    public void setEndNodeDesc(String endNodeDesc) {
        this.endNodeDesc = endNodeDesc;
    }

    private String endNodeDesc;

    public String getEndAreaCode() {
        return endAreaCode;
    }

    public void setEndAreaCode(String endAreaCode) {
        this.endAreaCode = endAreaCode;
    }

    private  String endAreaCode;

    public String getEndAreaDesc() {
        return endAreaDesc;
    }

    public void setEndAreaDesc(String endAreaDesc) {
        this.endAreaDesc = endAreaDesc;
    }

    private String endAreaDesc;

    public String getStartNodeCode() {
        return startNodeCode;
    }

    public void setStartNodeCode(String startNodeCode) {
        this.startNodeCode = startNodeCode;
    }

    private  String startNodeCode;

    public String getStartNodeDesc() {
        return startNodeDesc;
    }

    public void setStartNodeDesc(String startNodeDesc) {
        this.startNodeDesc = startNodeDesc;
    }

    private  String startNodeDesc;

    public String getStartAreaCode() {
        return startAreaCode;
    }

    public void setStartAreaCode(String startAreaCode) {
        this.startAreaCode = startAreaCode;
    }

    private  String startAreaCode;

    public String getStartAreaDesc() {
        return startAreaDesc;
    }

    public void setStartAreaDesc(String startAreaDesc) {
        this.startAreaDesc = startAreaDesc;
    }

    private  String startAreaDesc;
    public String getWaybillNoT() {
        return waybillNoT;
    }

    public void setWaybillNoT(String waybillNoT) {
        this.waybillNoT = waybillNoT;
    }

    private  String waybillNoT;
    /**
     * 物料外径
     */
    private String materialsDimater;
    /**
     * 物料壁厚
     */
    private String materialsHeight;
    /**
     * 是否短尺(1:是 0：不是)
     */
    private String isSort;
    /**
     * 材料状态（801501在制品阶段、801502成品、801503商品...）
     */
    private String matStatus;
    /**
     * 监装人
     */
    private String supervisorName;
    /**
     * 监装人联系方式
     */
    private String supervisorCall;
    /**
     * 材料类别（801401在制品、801402成品、 801403商品）
     */
    private String productFlag;
    /**
     * 0-其他  1-管  2坯
     */
    private String matType;
    /**
     * 运单号
     */
    private String waybillNo;
    /**
     * 运单序号(3位流水)
     */
    private String waybillSqe;
    /**
     * 运输计划号
     */
    private String plnNo;
    /**
     * 运输计划序号
     */
    private String plnSqe;
    /**
     * 判定炉号
     */
    private String heatNo;
    /**
     * 批号
     */
    private String batchNo;
    /**
     * 标识炉号
     */
    private String logoNo;
    /**
     * 组号
     */
    private String groupNo;
    /**
     * 物料代码
     */
    private String materialsCode;
    /**
     * 物料描述
     */
    private String materialsDesc;
    /**
     * 物料规格
     */
    private String materialsSpec;
    /**
     * 运单数量
     */
    private String waybillQtyVal;
    /**
     * 运单重量
     */
    private String waybillWtVal;
    /**
     * 度量单位代码
     */
    private String uomCode;
    /**
     * 度量单位
     */
    private String uomDesc;
    /**
     * 生产订单号
     */
    private String proOrderNo;
    /**
     * 排产流水号
     */
    private String proOrderSqe;
    /**
     * 本工序炉计划ID
     */
    private String currentJobNo;
    /**
     * 下工序炉计划ID
     */
    private String nextJobNo;
    /**
     * 备注
     */
    private String memo;
    /**
     * 相关运输计划号  -- 特种车辆计划 对应的拖车计划
     */
    private String refPlnNo;
    /**
     * 相关运输计划序号-- 特种车辆计划 对应的拖车计划序号
     */
    private String refPlnSqe;
    /**
     * 参考单号(装车单号、倒运单号)
     */
    private String refeNo;
    /**
     * 车牌号(特种车辆吊装时对应的拖车车牌)
     */
    private String carLicense;
    /**
     * 特种车辆作业确认时间(扫拖车运单二维码时间)
     */
    private String affirmTime;

    public TmsWaybillCEntity(){
        materialsDimater = "";
        materialsHeight = "";
        isSort = "";
        matStatus = "";
        supervisorName = "";
        supervisorCall = "";
        productFlag = "";
        matType = "";
        waybillNo = "";
        waybillSqe = "";
        plnNo = "";
        plnSqe = "";
        heatNo = "";
        batchNo = "";
        logoNo = "";
        groupNo = "";
        materialsCode = "";
        materialsDesc = "";
        materialsSpec = "";
        waybillQtyVal = "";
        waybillWtVal = "";
        uomCode = "";
        uomDesc = "";
        proOrderNo = "";
        proOrderSqe = "";
        currentJobNo = "";
        nextJobNo = "";
        memo = "";
        refPlnNo = "";
        refPlnSqe = "";
        refeNo = "";
        carLicense = "";
        affirmTime = "";
    }

    /**
     * 物料外径
     * @return value
     */
    public String getMaterialsDimater() {
        return materialsDimater;
    }

    /**
     * 物料外径
     * @param materialsDimater value
     */
    public void setMaterialsDimater(String materialsDimater) {
        this.materialsDimater = materialsDimater;
    }

    /**
     * 物料壁厚
     * @return value
     */
    public String getMaterialsHeight() {
        return materialsHeight;
    }

    /**
     * 物料壁厚
     * @param materialsHeight value
     */
    public void setMaterialsHeight(String materialsHeight) {
        this.materialsHeight = materialsHeight;
    }

    /**
     * 是否短尺(1:是 0：不是)
     * @return value
     */
    public String getIsSort() {
        return isSort;
    }

    /**
     * 是否短尺(1:是 0：不是)
     * @param isSort value
     */
    public void setIsSort(String isSort) {
        this.isSort = isSort;
    }

    /**
     * 材料状态（801501在制品阶段、801502成品、801503商品...）
     * @return value
     */
    public String getMatStatus() {
        return matStatus;
    }

    /**
     * 材料状态（801501在制品阶段、801502成品、801503商品...）
     * @param matStatus value
     */
    public void setMatStatus(String matStatus) {
        this.matStatus = matStatus;
    }

    /**
     * 监装人
     * @return value
     */
    public String getSupervisorName() {
        return supervisorName;
    }

    /**
     * 监装人
     * @param supervisorName value
     */
    public void setSupervisorName(String supervisorName) {
        this.supervisorName = supervisorName;
    }

    /**
     * 监装人联系方式
     * @return value
     */
    public String getSupervisorCall() {
        return supervisorCall;
    }

    /**
     * 监装人联系方式
     * @param supervisorCall value
     */
    public void setSupervisorCall(String supervisorCall) {
        this.supervisorCall = supervisorCall;
    }

    /**
     * 材料类别（801401在制品、801402成品、 801403商品）
     * @return value
     */
    public String getProductFlag() {
        return productFlag;
    }

    /**
     * 材料类别（801401在制品、801402成品、 801403商品）
     * @param productFlag value
     */
    public void setProductFlag(String productFlag) {
        this.productFlag = productFlag;
    }

    /**
     * 0-其他  1-管  2坯
     * @return value
     */
    public String getMatType() {
        return matType;
    }

    /**
     * 0-其他  1-管  2坯
     * @param matType value
     */
    public void setMatType(String matType) {
        this.matType = matType;
    }

    /**
     * 运单号
     * @return value
     */
    public String getWaybillNo() {
        return waybillNo;
    }

    /**
     * 运单号
     * @param waybillNo value
     */
    public void setWaybillNo(String waybillNo) {
        this.waybillNo = waybillNo;
    }

    /**
     * 运单序号(3位流水)
     * @return value
     */
    public String getWaybillSqe() {
        return waybillSqe;
    }

    /**
     * 运单序号(3位流水)
     * @param waybillSqe value
     */
    public void setWaybillSqe(String waybillSqe) {
        this.waybillSqe = waybillSqe;
    }

    /**
     * 运输计划号
     * @return value
     */
    public String getPlnNo() {
        return plnNo;
    }

    /**
     * 运输计划号
     * @param plnNo value
     */
    public void setPlnNo(String plnNo) {
        this.plnNo = plnNo;
    }

    /**
     * 运输计划序号
     * @return value
     */
    public String getPlnSqe() {
        return plnSqe;
    }

    /**
     * 运输计划序号
     * @param plnSqe value
     */
    public void setPlnSqe(String plnSqe) {
        this.plnSqe = plnSqe;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getHeatNo() {
        return heatNo;
    }

    /**
     * 判定炉号
     * @param heatNo value
     */
    public void setHeatNo(String heatNo) {
        this.heatNo = heatNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 标识炉号
     * @return value
     */
    public String getLogoNo() {
        return logoNo;
    }

    /**
     * 标识炉号
     * @param logoNo value
     */
    public void setLogoNo(String logoNo) {
        this.logoNo = logoNo;
    }

    /**
     * 组号
     * @return value
     */
    public String getGroupNo() {
        return groupNo;
    }

    /**
     * 组号
     * @param groupNo value
     */
    public void setGroupNo(String groupNo) {
        this.groupNo = groupNo;
    }

    /**
     * 物料代码
     * @return value
     */
    public String getMaterialsCode() {
        return materialsCode;
    }

    /**
     * 物料代码
     * @param materialsCode value
     */
    public void setMaterialsCode(String materialsCode) {
        this.materialsCode = materialsCode;
    }

    /**
     * 物料描述
     * @return value
     */
    public String getMaterialsDesc() {
        return materialsDesc;
    }

    /**
     * 物料描述
     * @param materialsDesc value
     */
    public void setMaterialsDesc(String materialsDesc) {
        this.materialsDesc = materialsDesc;
    }

    /**
     * 物料规格
     * @return value
     */
    public String getMaterialsSpec() {
        return materialsSpec;
    }

    /**
     * 物料规格
     * @param materialsSpec value
     */
    public void setMaterialsSpec(String materialsSpec) {
        this.materialsSpec = materialsSpec;
    }

    /**
     * 运单数量
     * @return value
     */
    public String getWaybillQtyVal() {
        return waybillQtyVal;
    }

    /**
     * 运单数量
     * @param waybillQtyVal value
     */
    public void setWaybillQtyVal(String waybillQtyVal) {
        this.waybillQtyVal = waybillQtyVal;
    }

    /**
     * 运单重量
     * @return value
     */
    public String getWaybillWtVal() {
        return waybillWtVal;
    }

    /**
     * 运单重量
     * @param waybillWtVal value
     */
    public void setWaybillWtVal(String waybillWtVal) {
        this.waybillWtVal = waybillWtVal;
    }

    /**
     * 度量单位代码
     * @return value
     */
    public String getUomCode() {
        return uomCode;
    }

    /**
     * 度量单位代码
     * @param uomCode value
     */
    public void setUomCode(String uomCode) {
        this.uomCode = uomCode;
    }

    /**
     * 度量单位
     * @return value
     */
    public String getUomDesc() {
        return uomDesc;
    }

    /**
     * 度量单位
     * @param uomDesc value
     */
    public void setUomDesc(String uomDesc) {
        this.uomDesc = uomDesc;
    }

    /**
     * 生产订单号
     * @return value
     */
    public String getProOrderNo() {
        return proOrderNo;
    }

    /**
     * 生产订单号
     * @param proOrderNo value
     */
    public void setProOrderNo(String proOrderNo) {
        this.proOrderNo = proOrderNo;
    }

    /**
     * 排产流水号
     * @return value
     */
    public String getProOrderSqe() {
        return proOrderSqe;
    }

    /**
     * 排产流水号
     * @param proOrderSqe value
     */
    public void setProOrderSqe(String proOrderSqe) {
        this.proOrderSqe = proOrderSqe;
    }

    /**
     * 本工序炉计划ID
     * @return value
     */
    public String getCurrentJobNo() {
        return currentJobNo;
    }

    /**
     * 本工序炉计划ID
     * @param currentJobNo value
     */
    public void setCurrentJobNo(String currentJobNo) {
        this.currentJobNo = currentJobNo;
    }

    /**
     * 下工序炉计划ID
     * @return value
     */
    public String getNextJobNo() {
        return nextJobNo;
    }

    /**
     * 下工序炉计划ID
     * @param nextJobNo value
     */
    public void setNextJobNo(String nextJobNo) {
        this.nextJobNo = nextJobNo;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 相关运输计划号  -- 特种车辆计划 对应的拖车计划
     * @return value
     */
    public String getRefPlnNo() {
        return refPlnNo;
    }

    /**
     * 相关运输计划号  -- 特种车辆计划 对应的拖车计划
     * @param refPlnNo value
     */
    public void setRefPlnNo(String refPlnNo) {
        this.refPlnNo = refPlnNo;
    }

    /**
     * 相关运输计划序号-- 特种车辆计划 对应的拖车计划序号
     * @return value
     */
    public String getRefPlnSqe() {
        return refPlnSqe;
    }

    /**
     * 相关运输计划序号-- 特种车辆计划 对应的拖车计划序号
     * @param refPlnSqe value
     */
    public void setRefPlnSqe(String refPlnSqe) {
        this.refPlnSqe = refPlnSqe;
    }

    /**
     * 参考单号(装车单号、倒运单号)
     * @return value
     */
    public String getRefeNo() {
        return refeNo;
    }

    /**
     * 参考单号(装车单号、倒运单号)
     * @param refeNo value
     */
    public void setRefeNo(String refeNo) {
        this.refeNo = refeNo;
    }

    /**
     * 车牌号(特种车辆吊装时对应的拖车车牌)
     * @return value
     */
    public String getCarLicense() {
        return carLicense;
    }

    /**
     * 车牌号(特种车辆吊装时对应的拖车车牌)
     * @param carLicense value
     */
    public void setCarLicense(String carLicense) {
        this.carLicense = carLicense;
    }

    /**
     * 特种车辆作业确认时间(扫拖车运单二维码时间)
     * @return value
     */
    public String getAffirmTime() {
        return affirmTime;
    }

    /**
     * 特种车辆作业确认时间(扫拖车运单二维码时间)
     * @param affirmTime value
     */
    public void setAffirmTime(String affirmTime) {
        this.affirmTime = affirmTime;
    }
}